Scriptname pchsWartimesMCM extends SKI_ConfigBase  

int keyOID_1
int keyOID_2
int keyOID_3
int keyOID_4
int keyOID_5
int keyOID_6
int keyOID_7

Int BaseFavourLossOID_S
Int FatherArousalMinOID_S
Int FatherArousalMaxOID_S
Int MilkQuotaPerLevelOID_S
Int CumtainerCountMaxOID_S
Int RequireStockingsOID
Int CumSlutJobOID
Int FashionJobOID
Int BondageJobOID
Int NpcSexChanceOID_S
Int BestialityOID
Int TasksTilFavourLossMaxOID_S
Int FavourLossMaxOID_S
Int ApologyFavourRecoveryOID_S
Int LicenceCostOID_S
Int LicenceCostClothesOID_S
Int DeviceRemovalCostOID_S
Int TasksEndHourOID_S
Int TasksBeginHourOID_S
Int TossOutBountyWhiterunOID_S
Int TossOutBountyEverywhereOID_S

int key1 = 37
int key2 = 38
int key3 = 39
int key4 = 40
int key5 = 41
int key6 = 42
int key7 = 42

int toggle_StatusUpdate

bool state_StatusUpdate = true

Event OnPageReset(string page)
	SetCursorFillMode(TOP_TO_BOTTOM)
	Int YpsInstalledFlag = OPTION_FLAG_DISABLED
	If StorageUtil.GetFloatValue(None, "yps_TweakVersion", Missing = -1.0) >= 1.5
		YpsInstalledFlag = OPTION_FLAG_NONE
	EndIf

	; Left hand side
	AddHeaderOption("Sub Tools")
	keyOID_2 = AddKeyMapOption("Hands behind back", key2)
	keyOID_3 = AddKeyMapOption("Hands above head", key3)
	keyOID_4 = AddKeyMapOption("On all four", key4)
	keyOID_5 = AddKeyMapOption("Carry meal pot", key5)
	keyOID_6 = AddKeyMapOption("Carry drink tray", key6)
	keyOID_7 = AddKeyMapOption("Anal plug menu", key7)
	AddEmptyOption()
	
	AddHeaderOption("Toss Out")
	TossOutBountyWhiterunOID_S = AddSliderOption("Bounty Whiterun", TossOutBountyWhiterun, "{0} Gold")
	TossOutBountyEverywhereOID_S = AddSliderOption("Bounty Everywhere", TossOutBountyEverywhere, "{0} Gold")
	AddEmptyOption()
	
	AddHeaderOption("Job Counts")
	AddTextOption("Job count: Horse Grooming", JobHorseCount.GetValueInt(), OPTION_FLAG_DISABLED)
	AddToggleOption("Currently active", (taskHorse.GetValue() <= 0), OPTION_FLAG_DISABLED)
	AddTextOption("Job count: Dogs Walking", JobDogsCount.GetValueInt(), OPTION_FLAG_DISABLED)
	AddToggleOption("Currently active", (taskDogs.GetValue() <= 0), OPTION_FLAG_DISABLED)
	AddTextOption("Job count: Soldier's Cook", JobSoldiersCount.GetValueInt(), OPTION_FLAG_DISABLED)
	AddToggleOption("Currently active", (taskSoldiers.GetValue() <= 0), OPTION_FLAG_DISABLED)
	AddTextOption("Job count: Oldman's Maid", JobOldmanCount.GetValueInt(), OPTION_FLAG_DISABLED)
	AddToggleOption("Currently active", (taskOldman.GetValue() <= 0), OPTION_FLAG_DISABLED)
	AddTextOption("Job count: Party", JobPartyCount.GetValueInt(), OPTION_FLAG_DISABLED)
	AddToggleOption("Currently active", taskParty.GetValue() <= 0, OPTION_FLAG_DISABLED)
	AddEmptyOption()
	
	SetCursorPosition(1) ; Right hand side
	AddHeaderOption("Settings ")
	TasksEndHourOID_S = AddSliderOption("Tasks End At", TasksEndHour, "{0}:00")
	TasksBeginHourOID_S = AddSliderOption("Tasks Begin At", TasksBeginHour, "{0}:00")
	MilkQuotaPerLevelOID_S = AddSliderOption("Milk Quota Per Level", MilkQuotaPerLevel, "{0} Milks")
	CumSlutJobOID = AddToggleOption("Cum Slut Job", pchsJobCumSlut.GetValue() as Bool)
	CumtainerCountMaxOID_S = AddSliderOption("Cumtainers Required Max", pchsCumtainerCountMax.GetValue(), "{0}")
	FashionJobOID = AddToggleOption("Fashion Job", pchsJobFashion.GetValue() as Bool)
	BondageJobOID = AddToggleOption("Bondage Job", pchsJobBondage.GetValue() as Bool)
	RequireStockingsOID = AddToggleOption("Require Stockings", RequireStockings, YpsInstalledFlag)
	AddEmptyOption()
	
	AddHeaderOption("Sex ")
	FatherArousalMinOID_S = AddSliderOption("Tense Arousal Min", SeedArousalMin, "{0}%")
	FatherArousalMaxOID_S = AddSliderOption("Tense Arousal Max", SeedArousalMax, "{0}%")
	NpcSexChanceOID_S = AddSliderOption("Npc Sex Chance", HomeSex.NpcSexChanceMult * 100.0, "{0}%")
	BestialityOID = AddToggleOption("Bestiality ", pchsBeastiality.GetValue() as Bool)
	AddEmptyOption()
	
	AddHeaderOption("Favour ")
	BaseFavourLossOID_S = AddSliderOption("Base Favour Loss", BaseFavourLoss, "{0} Favour")
	TasksTilFavourLossMaxOID_S = AddSliderOption("Tasks Until Max Loss", Fav.TasksTilMaxLoss, "{0} Tasks")
	FavourLossMaxOID_S = AddSliderOption("Favour Loss Max", Fav.FavorLossAtMax, "{0} Favour")
	ApologyFavourRecoveryOID_S = AddSliderOption("Apology Recovery Rate", Fav.ApologyFavRegainRate * 100.0, "{0}%")
	LicenceCostOID_S = AddSliderOption("Basic Licence Cost", pchsSlsLicenceCost.GetValue(), "{0} Favour")
	LicenceCostClothesOID_S = AddSliderOption("Clothes Licence Cost", pchsSlsLicenceCostClothes.GetValue(), "{0} Favour")
	DeviceRemovalCostOID_S = AddSliderOption("Device Removal Cost", pchsDdRemCost.GetValue(), "{0} Favour")
	AddEmptyOption()
	
	AddHeaderOption("Quest information")
	AddToggleOption("Quest timers", wartimesQuestStatus.GetValueInt() == 1, OPTION_FLAG_DISABLED) 
	keyOID_1 = AddKeyMapOption("Debug menu", key1)
	toggle_StatusUpdate = AddToggleOption("Toggle status update (Servitude questline)", state_StatusUpdate)	
	AddToggleOption("Recognised as naked", (PlayerREF.WornHasKeyWord(ArmorCuirass) == 0 && PlayerREF.WornHasKeyWord(ClothingBody) == 0), OPTION_FLAG_DISABLED)
	AddToggleOption("Recognised as breeder", (PCBreeder.GetValue() >= 1), OPTION_FLAG_DISABLED)
	AddToggleOption("Recognised as pregnant", (PCPregnant.GetValue() >= 1), OPTION_FLAG_DISABLED)
	AddToggleOption("Recognised as Slave Wife", (PCSlaveWife.GetValue() >= 1), OPTION_FLAG_DISABLED)
	AddTextOption("Pregnancy stage", StorageUtil.GetIntValue(PlayerREF, "FW.CurrentState"), OPTION_FLAG_DISABLED)
	AddEmptyOption()
	
	AddHeaderOption("Variables")
	AddTextOption("Father's Favour", FatherRel.GetValueInt(), OPTION_FLAG_DISABLED)
	AddTextOption("Depravity", PCDepravity.GetValueInt(), OPTION_FLAG_DISABLED)
	AddTextOption("Submission", PCSubmission.GetValueInt(), OPTION_FLAG_DISABLED)
	If MotherHealthCaged.GetValue() > 0
		AddTextOption("Mother's remaining vitality", MotherHealthCaged.GetValueInt(), OPTION_FLAG_DISABLED)
	Else
		AddTextOption("Remaining healing time for Mother", MotherHealth.GetValueInt(), OPTION_FLAG_DISABLED)
	EndIf
	
	AddEmptyOption()
EndEvent


Event OnOptionKeyMapChange(int option, int keyCode, string conflictControl, string conflictName)
    If (option == keyOID_1)
        key1 = keyCode
        RegisterForKey(key1)
        SetKeyMapOptionValue(keyOID_1, key1)
    EndIf
    If (option == keyOID_2)
        key2 = keyCode
        RegisterForKey(key2)
    	SetKeyMapOptionValue(keyOID_2, key2)
    EndIf
    If (option == keyOID_3)
        key3 = keyCode
        RegisterForKey(key3)
    	SetKeyMapOptionValue(keyOID_3, key3)
    EndIf
    If (option == keyOID_4)
        key4 = keyCode
        RegisterForKey(key4)
    	SetKeyMapOptionValue(keyOID_4, key4)
    EndIf
    If (option == keyOID_5)
        key5 = keyCode
        RegisterForKey(key5)
    	SetKeyMapOptionValue(keyOID_5, key5)
    EndIf
    If (option == keyOID_6)
        key6 = keyCode
        RegisterForKey(key6)
    	SetKeyMapOptionValue(keyOID_6, key6)
    EndIf
    If (option == keyOID_7)
        key7 = keyCode
        RegisterForKey(key7)
    	SetKeyMapOptionValue(keyOID_7, key7)
    EndIf
EndEvent

Event OnKeyDown(Int KeyCode)
	If !UI.IsMenuOpen("InventoryMenu") && !UI.IsMenuOpen("Console") && !UI.IsMenuOpen("ContainerMenu") && !UI.IsMenuOpen("BarterMenu") && !UI.IsMenuOpen("Crafting Menu")
		If KeyCode == key1
			Int iButton = OptionsMESG.Show()
				If iButton == 0
					RegisterForUpdateGameTime(1.00)
					debug.notification("Wartimes timers fired up.")
				ElseIf iButton == 1
					FatherREF.MoveTo(PlayerREF)
				ElseIf iButton == 2
					Int iReferenceD = dirtObjects.Length
					While (iReferenceD)
						iReferenceD -= 1
						dirtObjects[iReferenceD].Enable()
					EndWhile
					dirtLastClean.SetValue(Utility.GetCurrentGameTime())
				ElseIf iButton == 3
					PlayerREF.EquipItem(clothes)
					PlayerREF.EquipItem(shoes)
					PlayerREF.moveTo(portPlayer)
					ThisQuest.setobjectivedisplayed(100)
				ElseIf iButton == 4
					Int iRefD = Disableditems.Length
					While (iRefD)
						iRefD -= 1
						Disableditems[iRefD].Disable()
					EndWhile

					Int iRefE = Enableditems.Length
					While (iRefE)
						iRefE -= 1
						Enableditems[iRefE].Enable()
					EndWhile

					gotBDSMFurnitureGlobal.SetValue(1)
				EndIf
		ElseIf KeyCode == key2
			If PoseFlag.GetValueInt() == 0
				Debug.Notification("You submissively put your hands behind your back.")
				Game.GetPlayer().PlayIdle(HandsBehindBack)
				PoseFlag.SetValueInt(1)
			Else
				Game.GetPlayer().PlayIdle(ResetIdle)
				PoseFlag.SetValueInt(0)
			EndIf
		ElseIf KeyCode == key3
			If PoseFlag.GetValueInt() == 0
				Debug.Notification("You submissively put your hands above your head.")
				Game.GetPlayer().PlayIdle(HandsAboveHead)
				PoseFlag.SetValueInt(1)
			Else
				Game.GetPlayer().PlayIdle(ResetIdle)
				PoseFlag.SetValueInt(0)
			EndIf
		ElseIf KeyCode == key4
			If PoseFlag.GetValueInt() == 0
				If Game.GetModByName("dcc-dm2.esp") != 255
					Debug.Notification("You submissively fall down on all four.")
					Game.GetPlayer().PlayIdle(Game.GetFormFromFile(0x005E99, "dcc-dm2.esp") as Idle) ; dcc_dm_IdleSubmit1 - old doggySumbit property
					PoseFlag.SetValueInt(1)
				Else
					Debug.Notification("I'll take the display model not installed")
					Game.GetPlayer().PlayIdle(ForceResetIdle)
					PoseFlag.SetValueInt(0)
				EndIf
			Else
				Game.GetPlayer().PlayIdle(ForceResetIdle)
				PoseFlag.SetValueInt(0)
			EndIf
		ElseIf KeyCode == key5
			If PoseFlag.GetValueInt() == 0
				Game.GetPlayer().PlayIdle(CarryPot)
				PoseFlag.SetValueInt(1)
				OffersFood.SetValue(1)
			Else
				Game.GetPlayer().PlayIdle(ResetIdle)
				PoseFlag.SetValueInt(0)
				OffersFood.SetValue(0)
			EndIf
		ElseIf KeyCode == key6
			If PoseFlag.GetValueInt() == 0
				Game.GetPlayer().PlayIdle(CarryDrinks)
				PoseFlag.SetValueInt(1)
				OffersDrink.SetValue(1)
			Else
				Game.GetPlayer().PlayIdle(ResetIdle)
				PoseFlag.SetValueInt(0)
				OffersDrink.SetValue(0)
			EndIf
		ElseIf KeyCode == key7
			Int iButtonPlug = OptionsMESGPlug.Show()
			If iButtonPlug == 0
				If PlayerREF.GetItemCount(MeadBottle) >= 1 || PlayerREF.GetItemCount(Mead) >= 1 || PlayerREF.GetItemCount(MeadBB) >= 1 || PlayerREF.GetItemCount(MeadBBR) >= 1 || PlayerREF.GetItemCount(MeadHB) >= 1
					Int iButtonPlugMead = OptionsMESGPlugMead.Show()
					If iButtonPlugMead == 0
						PlayerREF.EquipItem(MeadPlugTopIn)
					ElseIf iButtonPlugMead == 1
						PlayerREF.EquipItem(MeadPlugBottomIn)
					EndIf

					If PlayerREF.GetItemCount(MeadBottle) >= 1
						PlugType.SetValue(1)
						PlayerREF.RemoveItem(MeadBottle, 1, false)
					ElseIf PlayerREF.GetItemCount(Mead) >= 1
						PlugType.SetValue(2)
						PlayerREF.RemoveItem(Mead, 1, false)
					ElseIf PlayerREF.GetItemCount(MeadHB) >= 1
						PlugType.SetValue(3)
						PlayerREF.RemoveItem(MeadHB, 1, false)
					ElseIf PlayerREF.GetItemCount(MeadBB) >= 1
						PlugType.SetValue(4)
						PlayerREF.RemoveItem(MeadBB, 1, false)
					ElseIf PlayerREF.GetItemCount(MeadHB) >= 1
						PlugType.SetValue(5)
						PlayerREF.RemoveItem(MeadBBR, 1, false)
					EndIf
				Else
					Debug.MessageBox("You don't have any mead bottles to shove up your arse!")
				EndIf
			ElseIf iButtonPlug == 1
				If PlayerREF.GetItemCount(Carrot) >= 1
					PlayerREF.EquipItem(CarrotPlug)
					PlugType.SetValue(6)
					PlayerREF.RemoveItem(Carrot, 1, false)
				Else
					Debug.MessageBox("You don't have a carrot to shove up your arse!")
				EndIf					
			ElseIf iButtonPlug == 2
				If PlayerREF.GetItemCount(Flute) >= 1 || PlayerREF.GetItemCount(Flute1) >= 1
					Int iButtonPlugFlute = OptionsMESGPlugFlute.Show()
					If iButtonPlugFlute == 0
						PlayerREF.EquipItem(FlutePlugDeep)
					ElseIf iButtonPlugFlute == 1
						PlayerREF.EquipItem(FlutePlugShallow)
					EndIf

					If PlayerREF.GetItemCount(Flute) >= 1
						PlayerREF.RemoveItem(Flute, 1, false)
						PlugType.SetValue(7)
					ElseIf PlayerREF.GetItemCount(Flute1) >= 1
						PlayerREF.RemoveItem(Flute1, 1, false)
						PlugType.SetValue(8)
					endif
				Else
					Debug.MessageBox("You don't have a flute to shove up your arse!")
				EndIf
			EndIf
		EndIf
	EndIf
EndEvent

Event OnOptionHighlight(int option)
	If Option == BaseFavourLossOID_S
		SetInfoText("The base amount of favour you'll lose when you fail father")
	ElseIf Option == TossOutBountyWhiterunOID_S
		SetInfoText("When thrown out of the house for not performing well (Favour <= 10) father will use his connections to put a bounty on you in Whiterun to make your life as difficult as possible\nFather will remove all the bounties he placed on you when you return to him\nBeing thrown out for good will double any bounty\nThis slider will override the 'Bounty everywhere' slider for Whiterun if it's set > 0")
	ElseIf Option == TossOutBountyEverywhereOID_S
		SetInfoText("When thrown out of the house for not performing well (Favour <= 10) father will use his connections to put a bounty on you all the holds to make your life as difficult as possible\nFather will remove all the bounties he placed on you when you return to him\nBeing thrown out for good will double any bounty")
	ElseIf Option == FatherArousalMinOID_S || Option == FatherArousalMaxOID_S
		SetInfoText("When father becomes 'tense', if his arousal is below minimum it will be increased to between this min and max\nMakes SLSO orgasms more achievable")
	ElseIf Option == TasksEndHourOID_S
		SetInfoText("New tasks will not be assigned passed this hour\nTasks that are already active still need to be completed")
	ElseIf Option == TasksBeginHourOID_S
		SetInfoText("New tasks will not be assigned before this hour\nTasks that are already active still need to be completed")
	ElseIf Option == MilkQuotaPerLevelOID_S
		SetInfoText("The number of milks you need to bring father to gain his favour\nEg: Maid level 0 = 4 milks, Level 1 = 8 milks, Level 2 = 12 milks\nIf you bring father at least half of your quota you won't lose or gain any favour")
	ElseIf Option == RequireStockingsOID
		SetInfoText("If YPS Fashion is installed father will demand you wear stockings")
	ElseIf Option == CumSlutJobOID
		SetInfoText("Enable/Disable the 'Cum Slut' job. It's highly recommended that your game is set up so that you usually have to wash cum off -> that it doesn't normally disappear over time. Spoilers:\nJob where you are required to regularily collect SLS cum for father and go without bathing until you get permission")
	ElseIf Option == CumtainerCountMaxOID_S
		SetInfoText("The maximum number of cumtainers father will expect you to fill")
	ElseIf Option == FashionJobOID
		SetInfoText("Father will gradually increase demands that you improve your YPS appearance. Failing to do so results in favour loss")
	ElseIf Option == BondageJobOID
		SetInfoText("Father will eventually demand you wear Devious Devices. Failing to do so results in favour loss")
	ElseIf Option == BestialityOID
		SetInfoText("Enable/disable the creature content side of the mod. There may still be references via dialogue/message boxes etc")
	ElseIf Option == TasksTilFavourLossMaxOID_S
		SetInfoText("As you complete tasks for father he will become increasingly critical of your failures\nWhen tasks reach 'Tasks Max' you will lose 'Max Favour' whenever you fail a task")
	ElseIf Option == FavourLossMaxOID_S
		SetInfoText("The maximum favour you'll lose for any single failure when you reach 'Tasks Max'")
	ElseIf Option == ApologyFavourRecoveryOID_S
		SetInfoText("How much favour you'll recover when you successfully apologize to father for failing\nSex apologies normally require the recipient to have an SLSO orgasm for successful apology")
	ElseIf Option == NpcSexChanceOID_S
		SetInfoText("Reduce/Increase the chances for Npcs to have sex between themselves")
	ElseIf Option == LicenceCostOID_S
		SetInfoText("The favour cost of regular licences - Magic, weapon, bikini")
	ElseIf Option == LicenceCostClothesOID_S
		SetInfoText("The favour cost of clothes licences")
	ElseIf Option == DeviceRemovalCostOID_S
		SetInfoText("How much favour it costs to remove a Devious Device")
	EndIf
EndEvent

Function SetSliderOptions(Float Value, Float Default, Float Min, Float Max, Float Interval)
	SetSliderDialogStartValue(Value)
	SetSliderDialogDefaultValue(Default)
	SetSliderDialogRange(Min, Max)
	SetSliderDialogInterval(Interval)
EndFunction

Event OnOptionSliderOpen(int option)
	If Option == BaseFavourLossOID_S
		SetSliderOptions(Value = BaseFavourLoss, Default = -1.0, Min = -10.0, Max = -1.0, Interval = 1.0)
	ElseIf Option == TossOutBountyWhiterunOID_S
		SetSliderOptions(Value = TossOutBountyWhiterun, Default = 1000.0, Min = 0.0, Max = 10000, Interval = 100.0)
	ElseIf Option == TossOutBountyEverywhereOID_S
		SetSliderOptions(Value = TossOutBountyEverywhere, Default = 2500.0, Min = 0.0, Max = 10000, Interval = 100.0)
	ElseIf Option == FatherArousalMinOID_S
		SetSliderOptions(Value = SeedArousalMin, Default = 35.0, Min = 0.0, Max = SeedArousalMax, Interval = 5.0)
	ElseIf Option == FatherArousalMaxOID_S
		SetSliderOptions(Value = SeedArousalMax, Default = 70.0, Min = SeedArousalMin, Max = 100, Interval = 5.0)
	ElseIf Option == TasksEndHourOID_S
		SetSliderOptions(Value = TasksEndHour, Default = 23.0, Min = TasksBeginHour, Max = 24.0, Interval = 1.0)
	ElseIf Option == TasksBeginHourOID_S
		SetSliderOptions(Value = TasksBeginHour, Default = 7.0, Min = 0.0, Max = TasksEndHour, Interval = 1.0)
	ElseIf Option == MilkQuotaPerLevelOID_S
		SetSliderOptions(Value = MilkQuotaPerLevel, Default = 3.0, Min = 1.0, Max = 10.0, Interval = 1.0)
	ElseIf Option == CumtainerCountMaxOID_S
		SetSliderOptions(Value = pchsCumtainerCountMax.GetValue(), Default = 3.0, Min = 1.0, Max = 3.0, Interval = 1.0)
	ElseIf Option == TasksTilFavourLossMaxOID_S
		SetSliderOptions(Value = Fav.TasksTilMaxLoss, Default = 100.0, Min = 0.0, Max = 1000.0, Interval = 10.0)
	ElseIf Option == FavourLossMaxOID_S
		SetSliderOptions(Value = Fav.FavorLossAtMax, Default = 10.0, Min = 1.0, Max = 50, Interval = 1.0)
	ElseIf Option == ApologyFavourRecoveryOID_S
		SetSliderOptions(Value = Fav.ApologyFavRegainRate * 100.0, Default = 90.0, Min = 0.0, Max = 150.0, Interval = 10.0)
	ElseIf Option == NpcSexChanceOID_S
		SetSliderOptions(Value = HomeSex.NpcSexChanceMult * 100.0, Default = 100.0, Min = 0.0, Max = 100.0, Interval = 1.0)
	ElseIf Option == LicenceCostOID_S
		SetSliderOptions(Value = pchsSlsLicenceCost.GetValue(), Default = 8.0, Min = 1.0, Max = 100.0, Interval = 1.0)
	ElseIf Option == LicenceCostClothesOID_S
		SetSliderOptions(Value = pchsSlsLicenceCostClothes.GetValue(), Default = 20.0, Min = 1.0, Max = 100.0, Interval = 1.0)
	ElseIf Option == DeviceRemovalCostOID_S
		SetSliderOptions(Value = pchsDdRemCost.GetValue(), Default = 5.0, Min = 1.0, Max = 100.0, Interval = 1.0)
		ThisQuest.UpdateCurrentInstanceGlobal(pchsDdRemCost)
	EndIf
EndEvent

Event OnOptionSliderAccept(int option, float value)
	If Option == BaseFavourLossOID_S
		BaseFavourLoss = Value
		SetSliderOptionValue(BaseFavourLossOID_S, BaseFavourLoss)
	ElseIf Option == TossOutBountyWhiterunOID_S
		TossOutBountyWhiterun = Value as Int
		SetSliderOptionValue(TossOutBountyWhiterunOID_S, TossOutBountyWhiterun)
	ElseIf Option == TossOutBountyEverywhereOID_S
		TossOutBountyEverywhere = Value as Int
		SetSliderOptionValue(TossOutBountyEverywhereOID_S, TossOutBountyEverywhere)
	ElseIf Option == FatherArousalMinOID_S
		SeedArousalMin = Value
		SetSliderOptionValue(FatherArousalMinOID_S, SeedArousalMin)
	ElseIf Option == FatherArousalMaxOID_S
		SeedArousalMax = Value
		SetSliderOptionValue(FatherArousalMaxOID_S, SeedArousalMax)
	ElseIf Option == TasksEndHourOID_S
		TasksEndHour = Value
		SetSliderOptionValue(TasksEndHourOID_S, TasksEndHour)
	ElseIf Option == TasksBeginHourOID_S
		TasksBeginHour = Value
		SetSliderOptionValue(TasksBeginHourOID_S, TasksBeginHour)
	ElseIf Option == MilkQuotaPerLevelOID_S
		MilkQuotaPerLevel = Value as Int
		SetSliderOptionValue(MilkQuotaPerLevelOID_S, MilkQuotaPerLevel)
	ElseIf Option == CumtainerCountMaxOID_S
		pchsCumtainerCountMax.SetValue(Value)
		SetSliderOptionValue(CumtainerCountMaxOID_S, pchsCumtainerCountMax.GetValue())
	ElseIf Option == TasksTilFavourLossMaxOID_S
		Fav.TasksTilMaxLoss = Value
		SetSliderOptionValue(TasksTilFavourLossMaxOID_S, Fav.TasksTilMaxLoss)
	ElseIf Option == FavourLossMaxOID_S
		Fav.FavorLossAtMax = Value
		SetSliderOptionValue(FavourLossMaxOID_S, Fav.FavorLossAtMax)
	ElseIf Option == ApologyFavourRecoveryOID_S
		Fav.ApologyFavRegainRate = Value / 100.0
		SetSliderOptionValue(ApologyFavourRecoveryOID_S, Fav.ApologyFavRegainRate * 100.0)
	ElseIf Option == NpcSexChanceOID_S
		HomeSex.NpcSexChanceMult = Value / 100.0
		SetSliderOptionValue(NpcSexChanceOID_S, HomeSex.NpcSexChanceMult * 100.0)
	ElseIf Option == LicenceCostOID_S
		pchsSlsLicenceCost.SetValue(Value)
		SetSliderOptionValue(LicenceCostOID_S, pchsSlsLicenceCost.GetValue())
		ThisQuest.UpdateCurrentInstanceGlobal(pchsSlsLicenceCost)
	ElseIf Option == LicenceCostClothesOID_S
		pchsSlsLicenceCostClothes.SetValue(Value)
		SetSliderOptionValue(LicenceCostClothesOID_S, pchsSlsLicenceCostClothes.GetValue())
		ThisQuest.UpdateCurrentInstanceGlobal(pchsSlsLicenceCostClothes)
	ElseIf Option == DeviceRemovalCostOID_S
		pchsDdRemCost.SetValue(Value)
		SetSliderOptionValue(DeviceRemovalCostOID_S, pchsDdRemCost.GetValue())
		ThisQuest.UpdateCurrentInstanceGlobal(pchsDdRemCost)
	EndIf
	ForcePageReset()
EndEvent

Event OnOptionSelect(int option)
	If (option == toggle_StatusUpdate)
		state_StatusUpdate = !state_StatusUpdate
		SetToggleOptionValue(toggle_StatusUpdate, state_StatusUpdate)
		If state_StatusUpdate == true
			UtilityStatusUpdate.SetValue(1)
		Else
			UtilityStatusUpdate.SetValue(0)
		endif
	ElseIf Option == RequireStockingsOID
		RequireStockings = !RequireStockings
		SetToggleOptionValue(RequireStockingsOID, RequireStockings)
		

	ElseIf Option == CumSlutJobOID
		pchsJobCumSlut.SetValue((!(pchsJobCumSlut.GetValue() as Bool)) as Float)
		SetToggleOptionValue(CumSlutJobOID, pchsJobCumSlut.GetValue() as Bool)
	ElseIf Option == FashionJobOID
		pchsJobFashion.SetValue((!(pchsJobFashion.GetValue() as Bool)) as Float)
		SetToggleOptionValue(FashionJobOID, pchsJobFashion.GetValue() as Bool)
	ElseIf Option == BondageJobOID
		pchsJobBondage.SetValue((!(pchsJobBondage.GetValue() as Bool)) as Float)
		SetToggleOptionValue(BondageJobOID, pchsJobBondage.GetValue() as Bool)
	ElseIf Option == BestialityOID
		pchsBeastiality.SetValue((!(pchsBeastiality.GetValue() as Bool)) as Float)
		SetToggleOptionValue(BestialityOID, pchsBeastiality.GetValue() as Bool)
	EndIf
EndEvent

Bool Property RequireStockings = true Auto Hidden
Bool Property TradeCum = false Auto Hidden

Int Property MilkQuotaPerLevel = 3 Auto Hidden
Int Property TossOutBountyWhiterun = 1000 Auto Hidden
Int Property TossOutBountyEverywhere = 2500 Auto Hidden

Float Property SeedArousalMin = 35.0 Auto Hidden
Float Property SeedArousalMax = 70.0 Auto Hidden
Float Property BaseFavourLoss = -1.0 Auto Hidden
Float Property TasksBeginHour = 7.0 Auto Hidden
Float Property TasksEndHour = 23.0 Auto Hidden

Armor Property MeadPlugBottomIn Auto
Armor Property MeadPlugTopIn Auto
Armor Property CarrotPlug Auto
Armor Property FlutePlugShallow Auto
Armor Property FlutePlugDeep Auto
Potion Property Mead Auto
Potion Property MeadBB Auto
Potion Property MeadBBR Auto
Potion Property MeadHB Auto
Potion Property Carrot Auto
miscobject Property Flute Auto
miscobject Property Flute1 Auto
miscobject Property MeadBottle Auto
Message Property OptionsMESGPlug Auto
Message Property OptionsMESGPlugFlute Auto
Message Property OptionsMESGPlugMead Auto
GlobalVariable Property PlugType Auto

ObjectReference[] Property Enableditems Auto
ObjectReference[] Property Disableditems Auto
GlobalVariable Property gotBDSMFurnitureGlobal Auto

Idle Property HandsBehindBack Auto
Idle Property HandsAboveHead Auto
Idle Property ResetIdle Auto
Idle Property ForceResetIdle Auto

Idle Property CarryPot Auto
Idle Property CarryDrinks Auto
GlobalVariable Property OffersFood auto
GlobalVariable Property OffersDrink auto

GlobalVariable Property PoseFlag Auto
Actor Property PlayerREF Auto
Actor Property FatherREF Auto
Message Property OptionsMESG Auto
GlobalVariable Property wartimesQuestStatus Auto

GlobalVariable Property pchsDdRemCost Auto
GlobalVariable Property pchsSlsLicenceCost Auto
GlobalVariable Property pchsSlsLicenceCostClothes Auto
GlobalVariable Property pchsJobCumSlut Auto
GlobalVariable Property pchsCumtainerCountMax Auto
GlobalVariable Property pchsJobFashion Auto
GlobalVariable Property pchsJobBondage Auto
GlobalVariable Property pchsBeastiality Auto
GlobalVariable Property PCSubmission Auto
GlobalVariable Property PCDepravity Auto
GlobalVariable Property PCBreeder Auto
GlobalVariable Property PCPregnant Auto
GlobalVariable Property PCSlaveWife Auto
GlobalVariable Property FatherRel Auto
GlobalVariable Property MotherHealth Auto
GlobalVariable Property MotherHealthCaged Auto
GlobalVariable Property JobHorseCount Auto
GlobalVariable Property JobDogsCount Auto
GlobalVariable Property JobOldmanCount Auto
GlobalVariable Property JobSoldiersCount Auto
GlobalVariable Property JobPartyCount Auto
GlobalVariable Property UtilityStatusUpdate Auto

GlobalVariable Property taskHorse Auto
GlobalVariable Property taskDogs Auto
GlobalVariable Property taskOldman Auto
GlobalVariable Property taskSoldiers Auto
GlobalVariable Property taskParty Auto

GlobalVariable Property dirtLastClean auto
ObjectReference[] Property dirtObjects auto

Armor Property clothes Auto
Armor Property shoes Auto
Quest Property ThisQuest Auto
ObjectReference Property portPlayer Auto

Keyword Property ArmorCuirass Auto
Keyword Property ClothingBody Auto

pchsWtFavour Property Fav Auto
pchsWtRandomHomeSex Property HomeSex Auto
